<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: ProcessBodyType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_process_body_type.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_process_body_type-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ProcessBodyType Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_write_j_s_o_n_report_8h_source.html">WriteJSONReport.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aea0bf99f46b40714fe631b9e084da93a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9e">nodeEnum</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_process_body_type.html#aea0bf99f46b40714fe631b9e084da93a">Nod</a></td></tr>
<tr class="separator:aea0bf99f46b40714fe631b9e084da93a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18a40937355a0a72ffc8d6ce4da31a47"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_process_body_type.html#a18a40937355a0a72ffc8d6ce4da31a47">nodeID</a></td></tr>
<tr class="separator:a18a40937355a0a72ffc8d6ce4da31a47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e36d8500beb23dec16e12cb04911b2c"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_process_body_type.html#a1e36d8500beb23dec16e12cb04911b2c">Name</a></td></tr>
<tr class="separator:a1e36d8500beb23dec16e12cb04911b2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa5232af5bca60f8a35bd08965b2f9c9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_process_body_type.html#afa5232af5bca60f8a35bd08965b2f9c9">children</a></td></tr>
<tr class="separator:afa5232af5bca60f8a35bd08965b2f9c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="afa5232af5bca60f8a35bd08965b2f9c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa5232af5bca60f8a35bd08965b2f9c9">&#9670;&nbsp;</a></span>children</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> ProcessBodyType::children</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e36d8500beb23dec16e12cb04911b2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e36d8500beb23dec16e12cb04911b2c">&#9670;&nbsp;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string ProcessBodyType::Name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aea0bf99f46b40714fe631b9e084da93a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea0bf99f46b40714fe631b9e084da93a">&#9670;&nbsp;</a></span>Nod</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9e">nodeEnum</a> ProcessBodyType::Nod</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a18a40937355a0a72ffc8d6ce4da31a47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18a40937355a0a72ffc8d6ce4da31a47">&#9670;&nbsp;</a></span>nodeID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned ProcessBodyType::nodeID</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_process_body_type.html">ProcessBodyType</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
